=== debian/changelog ===
interception-tools (0.6.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113051)

 -- Adrian Bunk <bunk@debian.org>  Mon, 13 Oct 2025 20:48:31 +0300

interception-tools (0.6.8-3) unstable; urgency=medium

  * Provide udevmon.service
  * Create /etc/interception/udevmon.d

 -- Osamu Aoki <osamu@debian.org>  Sun, 18 Sep 2022 07:55:35 +0900

interception-tools (0.6.8-2) unstable; urgency=medium

  * Source only upload. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 16 Sep 2022 07:02:47 +0900

interception-tools (0.6.8-1) unstable; urgency=medium

  * Initially, I tried to reuse packaging by Ethan Djeric <me@ethandjeric.com>
    found in Ubuntu PPA.  Eventually I ended up redoing the entire packaging.
    I also addressed hardening, autopkgtest, manpages, non-native package
    format, updated dependency, etc..
  * Correct COPYRIGHT: GPL-3
  * Initial release. Closes: #1011749

 -- Osamu Aoki <osamu@debian.org>  Mon, 08 Aug 2022 10:31:20 +0900
