=== debian/control ===
Source: interception-tools
Section: admin
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libevdev-dev,
               libudev-dev,
               libyaml-cpp-dev,
               pkg-config
Standards-Version: 4.6.1
Homepage: https://gitlab.com/interception/linux/tools
Vcs-Git: https://salsa.debian.org/debian/interception-tools.git
Vcs-Browser: https://salsa.debian.org/debian/interception-tools
Rules-Requires-Root: no

Package: interception-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: interception-tools-compat
Description: minimal composable infrastructure on top of libudev and libevdev
 The Interception Tools is a small set of utilities for operating on
 input events of evdev devices.
 .
  * interception - redirect device input events to stdout
  * uinput - redirect device input events from stdin to virtual device
  * mux - mux streams of input events
  * udevmon - monitor input devices for launching tasks
 .
 This can accommodate mangling of the keyboard input at the low
 level within the Linux kernel and works for any environments
 including Wayland, X, and Linux virtual console.
 .
 The upstream command name 'intercept' is renamed to 'interception' in this
 package to avoid the name collision. If you wish to use command names which
 the upstream uses, please install the interception-tools-compat package.

Package: interception-tools-compat
Architecture: all
Depends: interception-tools, ${misc:Depends}
Conflicts: bear
Description: minimal composable infrastructure on top of libudev and libevdev
 The Interception Tools is a small set of utilities for operating on
 input events of evdev devices.
 .
  * intercept - redirect device input events to stdout
 .
 This compatibility package to offer the upstream command name 'intercept'
 as the alias of the 'interception' command.
