=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@  --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release

override_dh_installsystemd:
	cp -f udevmon.service debian/interception-tools.udevmon.service
	dh_installsystemd --name=udevmon
	rm -f debian/interception-tools.udevmon.service
