=== debian/watch ===
version=4

https://gitlab.com/interception/linux/tools/tags?sort=updated_desc tags/v@ANY_VERSION@
